Bug 119861 - zip -b switch not honoured?
zip -b switch not honoured?
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: zip (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-02 12:55 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 11:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-04-02 12:55:05 EST
zip's -b flag allows a user to specify where a temporary zip file
should be created.

It doesn't seem to work.

ls -ltra on /tmp when using zip -b /tmp -r test.zip /usr shows no
temporary file.
Comment 1 Lon Hohberger 2004-04-05 11:59:27 EDT
This works fine for me and another Red Hatter I had test it.

If you did an upgrade from test1 or (any previous rawhide packages) to
test2, try the following (in fact, try it anyway :) ):

(1) Boot in single-user/nonenforcing mode (change your kernel line to
include "enforcing=0" and "single" in grub and boot with it)
(2) cd /etc/security/selinux/policy/src
(3) make relabel
(4) Go get a cup of coffee and a donut; it takes a bit.
(5) After "make relabel" is finished, reboot in normal mode.


Here's the results of my test:

[lhh@atlantis lhh]$ uname -a
Linux atlantis.boston.redhat.com 2.6.3-2.1.253.2.1smp #1 SMP Fri Mar
12 14:23:36 EST 2004 i686 i686 i386 GNU/Linux
[lhh@atlantis lhh]$ rpm -q policy
policy-1.9-15
[lhh@atlantis lhh]$ rpm -q zip
zip-2.3-20
[lhh@atlantis lhh]$ getenforce
enforcing
[lhh@atlantis lhh]$ zip -b /tmp isos.zip sandbox/*iso
  adding: sandbox/boot.iso (deflated 4%)
  adding: sandbox/linuxworld-gfs-clustermanager-1.iso
[1]+  Stopped                 zip -b /tmp isos.zip sandbox/*iso
[lhh@atlantis lhh]$ ls -l /tmp
total 3036
drwx------  3 lhh lhh    4096 Apr  5 11:38 gconfd-lhh/
srwxrwxrwx  1 wnn wnn       0 Apr  5 11:33 jd_sockV4=
-rw-------  1 lhh lhh     423 Apr  5 11:34 krb5cc_3368_d0YT9h
-rw-------  1 lhh lhh     423 Apr  5 11:38 krb5cc_3368_sNtmvW
drwx------  2 lhh lhh    4096 Apr  5 11:43 orbit-lhh/
drwx------  2 lhh lhh    4096 Apr  5 11:38 ssh-agsu3367/
-rw-------  1 lhh lhh 3054975 Apr  5 11:55 zi0vicWz
[lhh@atlantis lhh]$ ps aux | grep zip | grep -v grep
lhh       4224  1.5  0.1  2668  680 pts/13   T    11:55   0:00 zip -b
/tmp isos.zip sandbox/boot.iso
sandbox/linuxworld-gfs-clustermanager-1.iso
sandbox/rhel-3-U1-i386-es-disc1.iso sandbox/updates.iso
[lhh@atlantis lhh]$ fuser -v /tmp/zi0vicWz
bash: fuser: command not found
[lhh@atlantis lhh]$ /sbin/fuser -v /tmp/zi0vicWz
 
                     USER        PID ACCESS COMMAND
/tmp/zi0vicWz        lhh        4224 f....  zip

Note You need to log in before you can comment on or make changes to this bug.